Looking for ePay classic docs? Go to docs.epay.dk
ePay documentationDocsePay documentation
Management

Get Point of Sale

OpenAPI Spec

Test this endpoint live

Open the same request directly in API Explorer.

Open in API Explorer

Server URL

GET
/public/api/v1/management/point-of-sales/{pointOfSaleId}

Retrieve a single Point of Sale with its hosted configuration.

Authorization

BearerAuth
headerAuthorizationBearer <token>

Path Parameters

pointOfSaleIdstring
Required

UUID of the Point of Sale

Format:
uuid

Response Body

application/json

application/json

application/json

application/json

curl -X GET 'https://payments.epay.eu/public/api/v1/management/point-of-sales/497f6eca-6276-4993-bfeb-53cbbbba6f08'
{  "pointOfSale": {    "id": "0192473a-e381-705c-b61c-fc2ac9624afc",    "name": "Store #42",    "descriptor": "POS Copenhagen",    "createdAt": "2024-10-01T10:38:14.658688472+02:00",    "updatedAt": "2024-10-01T12:38:14.658688472+02:00",    "type": "WEB",    "state": "ACTIVE",    "externalId": "string"  },  "hostedConfiguration": {    "instantCapture": "OFF",    "scaMode": "SKIP",    "timeout": 60,    "notificationUrl": "https://example.com/notification",    "successUrl": "https://example.com/success",    "failureUrl": "https://example.com/failure",    "retryUrl": null,    "maxAttempts": 10,    "processor": [      "shift4",      "nets"    ],    "exemptions": [      "TRA",      "LVT"    ],    "reportFailure": false  }}